oracle.kv

## Interface KVSecurityConstants

- All Known Implementing Classes:
    KVStoreConfig

      public interface KVSecurityConstants

  The KVSecurityConstants interface defines constants used for security configuration. These are most commonly use when populating a set if properties to be passed to `KVStoreConfig.setSecurityProperties(java.util.Properties)`, but may be used as a reference when configuring a security property file.
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AUTH_PWDFILE_PROPERTY` The name of the property that identifies a password store file containing the password of the user to authenticate.
    `static String` | `AUTH_USERNAME_PROPERTY` The name of a property to specify a username for authentication.
    `static String` | `AUTH_WALLET_PROPERTY` The name of the property that identifies an Oracle Wallet directory containing the password of the user to authenticate.
    `static String` | `SECURITY_FILE_PROPERTY` The name of the property that identifies a security property configuration file to be read when a KVStoreConfig is created, as a set of overriding property definitions.
    `static String` | `SSL_CIPHER_SUITES_PROPERTY` The name of the property used to control what SSL/TLS cipher suites are acceptable for use.
    `static String` | `SSL_HOSTNAME_VERIFIER_PROPERTY` The name of the property used to specify a verification step to be performed when connecting to a NoSQL DB server when using SSL/TLS.
    `static String` | `SSL_PROTOCOLS_PROPERTY` The name of the property used to control what SSL/TLS procotols are acceptable for use.
    `static String` | `SSL_TRANSPORT_NAME` The value of the `TRANSPORT_PROPERTY` setting that enables the use of SSL/TLS communication.
    `static String` | `SSL_TRUSTSTORE_FILE_PROPERTY` The name of the property to identify the location of a Java truststore file that validates the SSL/TLS certificates used by the NoSQL DB server.
    `static String` | `SSL_TRUSTSTORE_TYPE_PROPERTY` The name of the property to identify the type of Java truststore that is referenced by the `SSL_TRUSTSTORE_FILE_PROPERTY` property.
    `static String` | `TRANSPORT_PROPERTY` The name of the property used by KVStore to determine the network mechanism to be used when communicating with Oracle NoSQL DB servers.

- - ### Field Detail

    - #### SECURITY_FILE_PROPERTY

          static final String SECURITY_FILE_PROPERTY

      The name of the property that identifies a security property configuration file to be read when a KVStoreConfig is created, as a set of overriding property definitions.
      See Also:
        Constant Field Values

    - #### TRANSPORT_PROPERTY

          static final String TRANSPORT_PROPERTY

      The name of the property used by KVStore to determine the network mechanism to be used when communicating with Oracle NoSQL DB servers.
      See Also:
        Constant Field Values

    - #### SSL_TRANSPORT_NAME

          static final String SSL_TRANSPORT_NAME

      The value of the `TRANSPORT_PROPERTY` setting that enables the use of SSL/TLS communication. This property has the value "ssl".
      See Also:
        Constant Field Values

    - #### SSL_CIPHER_SUITES_PROPERTY

          static final String SSL_CIPHER_SUITES_PROPERTY

      The name of the property used to control what SSL/TLS cipher suites are acceptable for use. This has the value "oracle.kv.ssl.ciphersuites". The property value is a comma-separated list of SSL/TLS cipher suite names. Refer to your Java documentation for the list of valid values.
      See Also:
        Constant Field Values

    - #### SSL_PROTOCOLS_PROPERTY

          static final String SSL_PROTOCOLS_PROPERTY

      The name of the property used to control what SSL/TLS procotols are acceptable for use. This has the value "oracle.kv.ssl.protocols". The property value is a comma-separated list of SSL/TLS protocol names. Refer to your Java documentation for the list of valid values.
      See Also:
        Constant Field Values

    - #### SSL_HOSTNAME_VERIFIER_PROPERTY

          static final String SSL_HOSTNAME_VERIFIER_PROPERTY

      The name of the property used to specify a verification step to be performed when connecting to a NoSQL DB server when using SSL/TLS. This has the value "oracle.kv.ssl.hostnameVerifier". The only verification step currently supported is the "dnmatch" verifier.

      The dnmatch verifier must be specified in the form "dnmatch(distinguished-name)", where distinguished-name must be the NoSQL DB server certificate's distinguished name. For a typical secure deployment this should be "dnmatch(CN=NoSQL)".

      See Also:
        Constant Field Values

    - #### SSL_TRUSTSTORE_FILE_PROPERTY

          static final String SSL_TRUSTSTORE_FILE_PROPERTY

      The name of the property to identify the location of a Java truststore file that validates the SSL/TLS certificates used by the NoSQL DB server. This has the value "oracle.kv.ssl.trustStore". The property setting must be set to an absolute path for the file. If this property is not set, a system property setting of javax.net.ssl.trustStore will be used.
      See Also:
        Constant Field Values

    - #### SSL_TRUSTSTORE_TYPE_PROPERTY

          static final String SSL_TRUSTSTORE_TYPE_PROPERTY

      The name of the property to identify the type of Java truststore that is referenced by the `SSL_TRUSTSTORE_FILE_PROPERTY` property. This is only needed if using a non-default truststore type, and the specified type must be a type supported by your Java implementation. This has the value "oracle.kv.ssl.trustStoreType".
      See Also:
        Constant Field Values

    - #### AUTH_USERNAME_PROPERTY

          static final String AUTH_USERNAME_PROPERTY

      The name of a property to specify a username for authentication. This has the value "oracle.kv.auth.username".
      See Also:
        Constant Field Values

    - #### AUTH_WALLET_PROPERTY

          static final String AUTH_WALLET_PROPERTY

      The name of the property that identifies an Oracle Wallet directory containing the password of the user to authenticate. This is only used in the Enterprise Edition of the product. This has the value "oracle.kv.auth.wallet.dir".
      See Also:
        Constant Field Values

    - #### AUTH_PWDFILE_PROPERTY

          static final String AUTH_PWDFILE_PROPERTY

      The name of the property that identifies a password store file containing the password of the user to authenticate. This has the value "oracle.kv.auth.pwdfile.file".
      See Also:
        Constant Field Values

Copyright (c) 2011, 2014 Oracle and/or its affiliates. All rights reserved.